* {
	margin: 0;
	padding: 0;
	box-sizing: border-box;
}

body {
	background-color: #f5f5f5;
	color: #333;
	font-family: Arial, sans-serif;
	line-height: 1.6;
	
}



.card-container {
	display: grid;
	grid-template-columns: repeat(auto-fill, minmax(150px, 1fr));
	gap: 10px;
	padding: 10px;
}

.card .tag-recommend {
	position: absolute;
	top: 0px;
	left: 0px;	
	padding: 3px 8px;
	border-radius: 0 3px 3px 0;
	background-color: #ff4d4d;
	color: #fff !important; 	
	font-size: 12px;
	font-weight: bold;
	box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
}

.card .tag-verified {
	position: absolute;
	top: 0;	
	right: 0;
	padding: 3px 8px;
	border-radius: 3px 0 0 3px;
	background-color: #4caf50;
	color: #fff !important;
	font-size: 12px;
	font-weight: bold;
	box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
}

.card {
	position: relative;
	text-align: center;
	border-radius: 9px;
	background-color: #fff;
	box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
	overflow: hidden;
}

.card img {
	display: block;
	width: 100%;
	height: 180px;
	object-fit: cover;
	cursor: pointer;
}

.card h3 {
	font-size: 14px;
	margin: 3px 0;
	color: #333;
}

.card p {
	font-size: 14px;
	margin: 3px 0;
	color: #999;
}
	
.tag {
	display: inline-block;	 
	padding: 3px 8px;
	border-radius: 3px; 
	background-color: #ffefc1;
	color: #333;
	font-size: 14px;
	font-weight: bold; 
	margin: 2px;	 
}
			 
.distance-btn-container {
	margin-top: 2px; 
	padding-bottom: 2px;
	text-align: center; 
}

.distance-btn {
	display: inline-block; 
	padding: 6px 12px;
	border: none;	
	border-radius: 3px; 
	background-color: #4caf50; 
	color: #fff;
	font-size: 14px;
	font-weight: bold;
	margin-top: 2px;
	margin-bottom: 2px;
	cursor: pointer;
}

.distance-btn:hover {
	background-color: #45a049; 
}